#
# ovirt-hosted-engine-setup -- ovirt hosted engine setup
# Copyright (C) 2013-2015 Red Hat, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

%global         engine ovirt-engine
%global         package_version 1.2.3-0.0.master
%global         ovirt_hosted_engine_setup_templates %{_datadir}/%{name}/templates
%global         ovirt_hosted_engine_setup_scripts %{_datadir}/%{name}/scripts
%global         vdsmhooksdir %{_libexecdir}/vdsm/hooks


Summary:        oVirt Hosted Engine setup tool
Name:           ovirt-hosted-engine-setup
Version:        1.2.3
Release:        0.0.master%{?release_suffix}%{?dist}
License:        LGPLv2+
URL:            http://www.ovirt.org
Source:         http://resources.ovirt.org/pub/ovirt-3.5-snapshot/src/%{name}/%{name}-%{package_version}.tar.gz
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch


Requires:       bind-utils
Requires:       iptables
Requires:       lsof
Requires:       openssh-server
Requires:       openssl
Requires:       python
Requires:       python-ethtool >= 0.6-3
Requires:       python-paramiko
Requires:       sanlock >= 2.8
Requires:       sanlock-python >= 2.8
Requires:       sudo
Requires:       virt-viewer
BuildRequires:  gettext
BuildRequires:  python2-devel

%if 0%{?fedora}
Requires:       qemu-img
%if %{fedora} >= 21
Requires:       iptables-services
%endif
%endif

%if 0%{?rhel}
Requires:       qemu-img-rhev >= 0.12.1.2-2.415
%if 0%{?rhel} >= 7
Requires:       iptables-services
%endif
%endif


Requires:       otopi >= 1.3.1
Requires:       ovirt-host-deploy >= 1.3.1
Requires:       ovirt-hosted-engine-ha >= 1.2.5
Requires:       %{engine}-sdk-python >= 3.5.1.0
Requires:       vdsm >= 4.16.10
Requires:       vdsm-cli >= 4.16.10
Requires:       vdsm-gluster >= 4.16.10
Requires:       vdsm-python >= 4.16.10


Requires:       glusterfs-server >= 3.6.1


%description
Hosted Engine setup tool for oVirt project.

%prep
%setup -q -n %{name}-%{package_version}

%build
%configure \
        --docdir="%{_docdir}/%{name}-%{version}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc COPYING
%doc README
%dir %{_sysconfdir}/ovirt-hosted-engine-setup.env.d
%dir %{_sysconfdir}/ovirt-hosted-engine
%dir %{_localstatedir}/log/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup/answers
%{_sbindir}/hosted-engine
%{_sbindir}/%{name}
%{python_sitelib}/ovirt_hosted_engine_setup/
%{_datadir}/%{name}/
%{_mandir}/man8/*

#move to a separate package?
%{vdsmhooksdir}/before_vm_start/

%changelog
* Mon Jan 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.3-0.0.master
- 1.2.3-0.0.master

* Mon Jan 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.2-1
- 1.2.2-1

* Fri Oct  3 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.2-0.0.master
- 1.2.2-0.0.master

* Thu Oct  2 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-1
- 1.2.1-1

* Mon Sep 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-1
- 1.2.0-1

* Fri Sep 12 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.2.master
- 1.2.0-0.2.master

* Fri Jul 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.1.master
- 1.2.0-0.1.master

* Fri Jan 17 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.0.master
- 1.2.0-0.0.master
